Subject: [manet] MAC filtering and multicast

From: Carmen M Yago Sánchez <[email-masked]>
Date: Wed, 13 Oct 2004 16:48:50 +0200

Hello all,
I am working with IPv6 ad-hoc networks and I am testing a new multicast protocol. To do this, I need to filter packets on the MAC level.
I am using Mandrake 10.0 with kernel 2.6.3-7 and, to filter the packets, first I tried mackill 0.1 and 0.2 but I couldn't compile them because of the kernel, then I tried iptables/iptables-ipv6 1.2.9-7mdk but these didn't seem to work either.

With iptables, first I tried these rules:
ip6tables -i eth1 -A INPUT -m mac --mac-source 00:02:2D:01:02:03  -j DROP
ip6tables -i eth1 -A FORWARD -m mac --mac-source 00:02:2D:01:02:03  -j DROP

These rules blocked unicast traffic but they DID NOT block multicast traffic, then I flushed all the rules and I established the DROP policy in all chains and all tables but multicast traffic was accepted.

Could someone tell me where the problem is, or indicate me a mac-filter tool working with multicast, please?

Thanks in advance.

Best Regards, 
Carmen 

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.775 / Virus Database: 522 - Release Date: 08/10/2004

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet